﻿// ReSharper disable once CheckNamespace

using System.Reflection;
using System.Windows.Forms;

namespace Loader
{
    static partial class Program
    {
        // ReSharper disable RedundantEmptyObjectOrCollectionInitializer

        private static readonly PackedFileEntry[] PackedFiles = {
            //_C(PackedFileEntries)
        };

        // ReSharper restore RedundantEmptyObjectOrCollectionInitializer

        [System.STAThread]
        private static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            if ((bool)typeof(NativeWindow).InvokeMember("AnyHandleCreated", BindingFlags.NonPublic | BindingFlags.Static | BindingFlags.GetProperty, null, null, null) == false)
                Application.SetCompatibleTextRenderingDefault(false);
            RealMain(args);
        }

        private static void Init()
        {
            _targetAssemblyName = "_C(TargetAssemblyName)";
            _targetFileName = "_C(TargetFileName)";
            _packageLength = _C(PackageLength);
            _compressLibrary = _C(CompressLibrary);

            _C(InitCode);
        }

        private static byte[] DecompressData(byte[] data)
        {
            return (byte[])_C(Decompress)(data);
        }
    }
}